Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductPeriod.Builder

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductPeriod.Builder

Enclosing class:
  `ProductPeriod`

public static class ProductPeriod.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProductPeriod`
  `build()`
  `ProductPeriod.Builder`
  `setAccountId(int accountId)`
  `ProductPeriod.Builder`
  `setActivationTime(Date activationTime)`
  `ProductPeriod.Builder`
  `setContractId(int contractId)`
  `ProductPeriod.Builder`
  `setFlags(int flags)`
  `ProductPeriod.Builder`
  `setId(int id)`
  `ProductPeriod.Builder`
  `setProductId(int productId)`
  `ProductPeriod.Builder`
  `setProductSpecId(int specId)`
  `ProductPeriod.Builder`
  `setProlongationTime(Date prolongationTime)`
  `ProductPeriod.Builder`
  `setTimeFrom(Date timeFrom)`
  `ProductPeriod.Builder`
  `setTimeTo(Date timeTo)`
  `ProductPeriod.Builder`
  `setVersion(int version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ProductPeriod.Builder setId(int id)

  - ### setProductId

    public ProductPeriod.Builder setProductId(int productId)

  - ### setContractId

    public ProductPeriod.Builder setContractId(int contractId)

  - ### setAccountId

    public ProductPeriod.Builder setAccountId(int accountId)

  - ### setProductSpecId

    public ProductPeriod.Builder setProductSpecId(int specId)

  - ### setActivationTime

    public ProductPeriod.Builder setActivationTime(Date activationTime)

  - ### setTimeFrom

    public ProductPeriod.Builder setTimeFrom(Date timeFrom)

  - ### setTimeTo

    public ProductPeriod.Builder setTimeTo(Date timeTo)

  - ### setProlongationTime

    public ProductPeriod.Builder setProlongationTime(Date prolongationTime)

  - ### setFlags

    public ProductPeriod.Builder setFlags(int flags)

  - ### setVersion

    public ProductPeriod.Builder setVersion(int version)

  - ### build

    public ProductPeriod build()